<table
  *ngIf="projects | async as datasource"
  mat-table
  [dataSource]="datasource"
  class="mat-elevation-z0"
  multiTemplateDataRows
>
  <ng-container matColumnDef="icon">
    <th mat-header-cell *matHeaderCellDef>Icon</th>
    <td mat-cell *matCellDef="let project">
      <div class="projectsCardIconWrapper">
        <div class="projectsCardIcon">
          <!-- <energy-platform-icon-generator
            [project]="project"
          ></energy-platform-icon-generator> -->
        </div>
      </div>
    </td>
  </ng-container>

  <ng-container matColumnDef="projectName">
    <th mat-header-cell *matHeaderCellDef>
      {{ 'adminprojects.projectname' | translate }}
    </th>
    <td mat-cell *matCellDef="let project">{{ project.name }}</td>
  </ng-container>

  <ng-container matColumnDef="userCreator">
    <th mat-header-cell *matHeaderCellDef>
      {{ 'adminprojects.usercreator' | translate }}
    </th>
    <td mat-cell *matCellDef="let project">
      {{ project.creator.firstName + ' ' + project.creator.lastName }}
    </td>
  </ng-container>

  <ng-container matColumnDef="startingTime">
    <th mat-header-cell *matHeaderCellDef>
      {{ 'adminprojects.creationtime' | translate }}
    </th>
    <td mat-cell *matCellDef="let project">
      {{ dateFormatter.getDateInRightFormat(project.creationDate) }}
    </td>
  </ng-container>

  <ng-container matColumnDef="action">
    <th mat-header-cell *matHeaderCellDef>
      {{ 'adminprojects.action' | translate }}
    </th>
    <td mat-cell *matCellDef="let project" (click)="$event.stopPropagation()">
      <i class="material-icons action-buttons" (click)="editProject(project)"
        >edit</i
      >
      <!-- <i class="material-icons action-buttons">build</i> -->
      <i class="material-icons action-buttons" (click)="deleteProject(project)"
        >delete</i
      >
    </td>
  </ng-container>

  <ng-container matColumnDef="expandedDetail">
    <td
      mat-cell
      *matCellDef="let element"
      [attr.colspan]="columnsToDisplay.length"
    >
      <div
        class="example-element-detail"
        [ngClass]="{ 'element-expanded': element === expandedElement }"
        [@detailExpand]="element === expandedElement ? 'expanded' : 'collapsed'"
      >
        <div class="project-info">
          <div class="project-single-info">
            <span class="project-single-info-title">Status: </span>
            {{ element.projectStatus }}
          </div>
          <div class="project-single-info" *ngIf="element.creator.organization">
            <span class="project-single-info-title">Organization: </span>
            {{ element.creator.organization.name }}
          </div>
          <div class="project-single-info">
            <span class="project-single-info-title"
              >{{ 'adminprojects.usercreator' | translate }}:
            </span>
            {{ element.creator.firstName + ' ' + element.creator.lastName }}
          </div>
        </div>
      </div>
    </td>
  </ng-container>

  <tr mat-header-row *matHeaderRowDef="columnsToDisplay"></tr>
  <tr
    mat-row
    *matRowDef="let element; columns: columnsToDisplay"
    class="example-element-row"
    [style.backgroundColor]="element === expandedElement ? '#eeeeee' : ''"
    [class.example-expanded-row]="expandedElement === element"
    (click)="expandedElement = expandedElement === element ? null : element"
  ></tr>
  <tr
    mat-row
    *matRowDef="let row; columns: ['expandedDetail']"
    class="example-detail-row"
  ></tr>
</table>

<mat-card
  class="card mobileView"
  *ngFor="let project of projects | async"
  (click)="itemClicked(project)"
>
  <div class="card-item">
    <span class="mobileViewHint"
      >{{ 'adminprojects.projectname' | translate }}:
    </span>
    {{ project.name }}
  </div>
  <div class="card-item">
    <span class="mobileViewHint"
      >{{ 'adminprojects.usercreator' | translate }}:
    </span>
    {{ project.creator.firstName + ' ' + project.creator.lastName }}
  </div>
  <div class="card-item">
    <span class="mobileViewHint"
      >{{ 'adminprojects.creationtime' | translate }}:
    </span>
    {{ dateFormatter.getDateInRightFormat(project.creationDate) }}
  </div>
  <div class="card-item">
    <span class="mobileViewHint">Status: </span>
    {{ project.projectStatus }}
  </div>
  <div class="card-item" *ngIf="project.creator.organization">
    <span class="mobileViewHint">Organization: </span>
    {{ project.creator.organization.name }}
  </div>
  <div class="card-items">
    <div class="action-mobileView">
      <span class="mobileViewHint"
        >{{ 'adminprojects.action' | translate }}:
      </span>
      <div class="action-mobileView-buttons" (click)="$event.stopPropagation()">
        <i class="material-icons action-buttons" (click)="editProject(project)"
          >edit</i
        >
        <!-- <i class="material-icons action-buttons">build</i> -->
        <i
          class="material-icons action-buttons"
          (click)="deleteProject(project)"
          >delete</i
        >
      </div>
    </div>
  </div>
</mat-card>
